Bug 1080204 (perl-Catalyst-View-Excel-Template-Plus) - Review Request: perl-Catalyst-View-Excel-Template-Plus - Catalyst View for Excel::Template::Plus
Summary: Review Request: perl-Catalyst-View-Excel-Template-Plus - Catalyst View for Ex...
Keywords:
Status: CLOSED WORKSFORME
Alias: perl-Catalyst-View-Excel-Template-Plus
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christopher Meng
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Excel-Template-Plus
Blocks: naemon
TreeView+ depends on / blocked
 
Reported: 2014-03-24 21:51 UTC by Sven Nierlein
Modified: 2015-06-10 14:13 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-10 14:13:27 UTC
i: fedora-review?


Attachments (Terms of Use)

Description Sven Nierlein 2014-03-24 21:51:56 UTC
Spec URL: http://nierlein.com/fedora/perl-Catalyst-View-Excel-Template-Plus.spec
SRPM URL: http://nierlein.com/fedora/perl-Catalyst-View-Excel-Template-Plus-0.03-1.fc21.src.rpm
Description:
Catalyst::View::Excel::Template::Plus is a Catalyst View
for Excel::Template::Plus.

Fedora Account System Username: sni

Successful koji build:
not yet, build requires perl-Excel-Template-Plus from #1080203

This is one of my first review requests, so i am asking hereby for a sponsor. 

This perl module is required to proceed in #1069988
Related review requests: #1079718, #1079732, #1079733, #1079745, #1079749, #1079751, #1079753, #1080201, #1080203

Comment 1 Sven Nierlein 2014-04-06 11:05:13 UTC
updated spec file according to comments in the related bugs and
uploaded new files:

http://nierlein.com/fedora/2014-04-06/perl-Catalyst-View-Excel-Template-Plus.spec
http://nierlein.com/fedora/2014-04-06/perl-Catalyst-View-Excel-Template-Plus-0.03-1.fc21.src.rpm

Comment 2 Kazım SARIKAYA 2014-04-07 14:04:03 UTC
I see some issues about licensing.

https://fedoraproject.org/wiki/Packaging:LicensingGuidelines

you may change it to a permited licensing.

Comment 3 Ralf Corsepius 2014-04-09 23:51:35 UTC
(In reply to Kazım SARIKAYA from comment #2)
> I see some issues about licensing.
> 
> https://fedoraproject.org/wiki/Packaging:LicensingGuidelines
> 
> you may change it to a permited licensing.
What are you referring to? This package applies a "same as perl" license which in Fedora terms translates into "GPL+ or Artistic".

Artistic alone would not be allowed, but "GPL+ or Artistic" is.

Besides this, a package can never "change a license", unless he is the copyright holder - This almost never applies.

Comment 4 Sven Nierlein 2014-04-21 13:27:22 UTC
new spec file:
http://nierlein.com/fedora/2014-04-21/perl-Excel-Template-Plus.spec

The only thing i changed is the release number.

Comment 5 Sven Nierlein 2014-04-21 13:29:49 UTC
Sorry, wrong link. The correct one: http://nierlein.com/fedora/2014-04-21/perl-Catalyst-View-Excel-Template-Plus.spec

Comment 8 Sven Nierlein 2015-06-10 14:13:27 UTC
I am not using this module anymore, so i will close this review request.


Note You need to log in before you can comment on or make changes to this bug.